USE cofree;

-- IDADE DO PROJETO

-- INSERT INTO `IdadeProjeto` ( ) VALUES ( 'Life-Span ', 'Positivo ', 'Projetos de SL tendem a ficar mais atrativos ao longo do tempo. Os motivos so vrios: a) se um projeto ainda esta ativo depois de tanto tempo, 'algo de bom deve existir ali'; b) o tempo de exposio do projeto a comunidade  maior, portanto um projeto mais velho tende a ser mais conhecido; c) maior idade influencia reputao, etc. Ento, se voc ainda no criou seu projeto, o que est esperando? :) ');

-- TIPO LICENCA

INSERT INTO `TipoLicenca` (`idTipoLicenca`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (1, 'Sem restrio', 'A opo por uma licena que permite a utilizao e a modificao do software sem restries tende a no ser bem vista por desenvolvedores de software livre. Nossas anlises estatsticas mostram que software com este tipo de licena, por favorecer a criao de software proprietrio baseado no software do projeto, afeta a atratividade do projeto negativamente. Pense duas vezes antes de optar por este tipo de licena.', 'Negativo');

INSERT INTO `TipoLicenca` (`idTipoLicenca`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (2, 'Com restrio de uso', 'A sua opo por uma licena que obriga que as modificaes do software sejam liberadas em conjunto ao software quando redistribudo  positiva para a atratividade do projeto. Uma parcela considervel dos desenvolvedores de software livre considera esta restrio sustentadora do modelo livre de desenvolvimento.', 'Positivo');

INSERT INTO `TipoLicenca` (`idTipoLicenca`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (3, 'Com restrio de uso e modificao', 'A GPL impe duas restries ao software do projeto: a) que qualquer modificao feita por um contribuidor seja includa junto com a verso do software que ser redistribuda; b) que o software do projeto no seja ligado a software proprietrio. Como poderamos imaginar, a escolha pela GPL  positiva, aumenta a atratividade do projeto aos olhos da comunidade de desenvolvedores de software livre. No  a toa que GPL  a escolha da grande maioria dos projetos de software livre.', 'Positivo');

INSERT INTO `TipoLicenca` (`idTipoLicenca`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (4, 'Dual licensing', 'Voc optou por licenciar seu software com licenas que restringem o cdigo-fonte de diferentes formas, dependendo de qual licena se aplica a determinado usurio. Esta  uma forma de licenciamento que est se tornando comum em projetos de software livre. Assim, intenes comerciais podem ser facilmente realizadas ao mesmo tempo em que uma boa imagem  mantida com a comunidade de desenvolvedores de software livre. O nico problema com esta escolha  a dificuldade em gerenciar para qual situao tal licena se aplica. Como garantir que em determinada situao uma licena seja vlida e outra invlida pode se tornar um problema jurdico, custoso e ineficiente.', 'Positivo');

-- Para Dual_Licensing o usurio deve escolher 2 licenas de 2 tipos 2 e 3!!!

-- LICENCA

INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (1, 'GNU General Public License', 3);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (2, 'GNU General Public License v2', 3);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (3, 'GNU General Public License v3', 3);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (4, 'Apple Public Source License', 2);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (5, 'Common Public License', 2);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (6, 'Eiffel Forum License', 2);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (7, 'Lesser General Public', 2);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (8, 'IBM Public License', 2);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (9, 'Jabber Open Source License', 2);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (10, 'Motosoto License', 2);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (11, 'Mozilla Public License 1.0', 2);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (12, 'Mozilla Public License 1.1', 2);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (13, 'Nethack General Public License', 2);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (14, 'Nokia Open Source License', 2);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (15, 'Qt Public License', 2);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (16, 'Ricoh Source Code Pub. License', 2);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (17, 'Sleepycat License', 2);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (18, 'Sun Public License', 2);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (19, 'Apache Software License', 1);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (20, 'Artistic License', 1);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (21, 'BSD License', 1);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (22, 'Intel Open Source License', 1);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (23, 'MIT License', 1);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (24, 'Open Group Test Suite License', 1);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (25, 'Public Domain', 1);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (26, 'Python License(CNRI Python License)', 1);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (27, 'Python Software Foundation License', 1);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (28, 'Sun Industry Standards Source License', 1);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (29, 'Univ. of Illinois/NCSA Open Source', 1);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (30, 'Vovida Software License 1.0', 1);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (31, 'W3C License', 1);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (32, 'X.Net License', 1);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (33, 'zlib/libpng License', 1);
INSERT INTO `Licenca` (`idLicenca`, `descricao`, `FK_idTipoLicenca`) VALUES (34, 'Zope Public License', 1);


-- ESTAGIO CICLO DE VIDA

INSERT INTO `EstagioCicloVida` (`idEstagioCicloVida`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (1, 'Planejamento', 'Por planejamento ser o primeiro estgio de desenvolvimento de um software, seu efeito negativo em atratividade  o maior. Evite liberar cdigo neste estgio.', 'Negativo');

INSERT INTO `EstagioCicloVida` (`idEstagioCicloVida`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (2, 'Pr-alfa', 'Pr-alfa ainda  um estgio considerado imaturo, que sinaliza para a comunidade um software que no est pronto para o uso nem para receber contribuies. No h garantias que o projeto ser levado  frente pelos seus idealizadores. Recomendamos que voc desenvolva seu software mais, antes de procurar usurios e contribuidores.', 'Negativo');

INSERT INTO `EstagioCicloVida` (`idEstagioCicloVida`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (3, 'Alfa', 'alfa  o estgio de desenvolvimento transicional por ser o ltimo a ter efeito negativo em atratividade. Se voc decidir liberar seu cdigo-fonte em alfa, trabalhe rapidamente nele para que chegue em beta logo.','Negativo');

INSERT INTO `EstagioCicloVida` (`idEstagioCicloVida`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (4, 'Beta', 'O estgio beta  o primeiro a influenciar positivamente a atratividade de um projeto de software livre. Neste estgio, espera-se encontrar um software com funcionalidades bsicas, prontas para teste, o que fornece material tanto para usurios quanto para potencial colaboradores. Liberar software em beta  a deciso mais popular na hora de criar projetos de software livre.','Positivo');

INSERT INTO `EstagioCicloVida` (`idEstagioCicloVida`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (5, 'Produo', 'O estgio produo garante que funcionalidades bsicas funcionam e foram testadas e, portanto, no assustam nenhum usurio final. Alm disso, um projeto com um software em produo sinaliza para potenciais usurios e colaboradores que ali se encontra uma comunidade ativa, que pode fornecer suporte e desenvolver funcionalidades adicionais. Se seu software est neste estgio, o momento para abertura do cdigo-fonte  ideal.','Positivo');

INSERT INTO `EstagioCicloVida` (`idEstagioCicloVida`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (6, 'Maduro', 'O estgio de desenvolvimento maduro garante que a maior parte das funcionalidades almejadas pelo software j foram realizadas e testadas. Ainda, este estgio sinaliza que apesar de maduro, o software ainda se encontra em desenvolvimento. Ento, os potenciais usurios e colaboradores sabem que erros reportados sero verificados e funcionalidades requisitadas podem de fato ser desenvolvidas. Este estgio de desenvolvimento tambm  visto positivamente por organizaes de uma forma geral, o que pode representar oportunidades de envolvimento de pessoas jurdicas no projeto, fornecendo patrocnio e mo-de-obra.','Positivo');


-- FINALIDADE DO PROJETO

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (1, 'Comunicao', 'Alguns mercados onde os projetos de software livre atuam, favorecem o recrutamento de contribuidores e a atrao de usurios. Isto nos informa, que comparado com outros mercados, projetos com essa finalidade tendem a receber mais visitas, downloads e filiaes. Aproveite essa informao para priorizar a abertura de seus software.', 'Positivo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (2, 'Banco de Dados', 'O tipo de projeto de software livre que voc selecionou  conhecido por afetar a atratividade do projeto negativamente. Isto indica que comparado com outros mercados, projetos de software livre desse tipo tende a ser menos menos procurado por usurios e contribuidores. Utilize essa informao para priorizar a abertura dos seus software, alguns deles tem mais chance de sucesso do que outros.', 'Negativo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (3, 'Desktop', 'Alguns mercados onde os projetos de software livre atuam, favorecem o recrutamento de contribuidores e a atrao de usurios. Isto nos informa, que comparado com outros mercados, projetos com essa finalidade tendem a receber mais visitas, downloads e filiaes. Aproveite essa informao para priorizar a abertura de seus software.', 'Positivo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (4, 'Educao', 'O tipo de projeto de software livre que voc selecionou  conhecido por afetar a atratividade do projeto negativamente. Isto indica que comparado com outros mercados, projetos de software livre desse tipo tende a ser menos menos procurado por usurios e contribuidores. Utilize essa informao para priorizar a abertura dos seus software, alguns deles tem mais chance de sucesso do que outros.', 'Negativo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (5, 'Jogos', 'Alguns mercados onde os projetos de software livre atuam, favorecem o recrutamento de contribuidores e a atrao de usurios. Isto nos informa, que comparado com outros mercados, projetos com essa finalidade tendem a receber mais visitas, downloads e filiaes. Aproveite essa informao para priorizar a abertura de seus software.', 'Positivo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (6, 'Internet', 'Alguns mercados onde os projetos de software livre atuam, favorecem o recrutamento de contribuidores e a atrao de usurios. Isto nos informa, que comparado com outros mercados, projetos com essa finalidade tendem a receber mais visitas, downloads e filiaes. Aproveite essa informao para priorizar a abertura de seus software.', 'Positivo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (7, 'Multimdia', 'Alguns mercados onde os projetos de software livre atuam, favorecem o recrutamento de contribuidores e a atrao de usurios. Isto nos informa, que comparado com outros mercados, projetos com essa finalidade tendem a receber mais visitas, downloads e filiaes. Aproveite essa informao para priorizar a abertura de seus software.', 'Positivo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (8, 'Escritrio', 'Alguns mercados onde os projetos de software livre atuam, favorecem o recrutamento de contribuidores e a atrao de usurios. Isto nos informa, que comparado com outros mercados, projetos com essa finalidade tendem a receber mais visitas, downloads e filiaes. Aproveite essa informao para priorizar a abertura de seus software.', 'Positivo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (9, 'Outros', 'O tipo de projeto de software livre que voc selecionou  conhecido por afetar a atratividade do projeto negativamente. Isto indica que comparado com outros mercados, projetos de software livre desse tipo tende a ser menos menos procurado por usurios e contribuidores. Utilize essa informao para priorizar a abertura dos seus software, alguns deles tem mais chance de sucesso do que outros.', 'Negativo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (10, 'Impresso', 'Alguns mercados onde os projetos de software livre atuam, favorecem o recrutamento de contribuidores e a atrao de usurios. Isto nos informa, que comparado com outros mercados, projetos com essa finalidade tendem a receber mais visitas, downloads e filiaes. Aproveite essa informao para priorizar a abertura de seus software.', 'Positivo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (11, 'Religio', 'Alguns mercados onde os projetos de software livre atuam, favorecem o recrutamento de contribuidores e a atrao de usurios. Isto nos informa, que comparado com outros mercados, projetos com essa finalidade tendem a receber mais visitas, downloads e filiaes. Aproveite essa informao para priorizar a abertura de seus software.', 'Positivo');
 
INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (12, 'Cientfico', 'O tipo de projeto de software livre que voc selecionou  conhecido por afetar a atratividade do projeto negativamente. Isto indica que comparado com outros mercados, projetos de software livre desse tipo tende a ser menos menos procurado por usurios e contribuidores. Utilize essa informao para priorizar a abertura dos seus software, alguns deles tem mais chance de sucesso do que outros.', 'Negativo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (13, 'Segurana', 'Alguns mercados onde os projetos de software livre atuam, favorecem o recrutamento de contribuidores e a atrao de usurios. Isto nos informa, que comparado com outros mercados, projetos com essa finalidade tendem a receber mais visitas, downloads e filiaes. Aproveite essa informao para priorizar a abertura de seus software.', 'Positivo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (14, 'Sociologia', 'O tipo de projeto de software livre que voc selecionou  conhecido por afetar a atratividade do projeto negativamente. Isto indica que comparado com outros mercados, projetos de software livre desse tipo tende a ser menos menos procurado por usurios e contribuidores. Utilize essa informao para priorizar a abertura dos seus software, alguns deles tem mais chance de sucesso do que outros.', 'Negativo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (15, 'Desenvolvimento de Software', 'Alguns mercados onde os projetos de software livre atuam, favorecem o recrutamento de contribuidores e a atrao de usurios. Isto nos informa, que comparado com outros mercados, projetos com essa finalidade tendem a receber mais visitas, downloads e filiaes. Aproveite essa informao para priorizar a abertura de seus software.', 'Positivo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (16, 'Sistema', 'Alguns mercados onde os projetos de software livre atuam, favorecem o recrutamento de contribuidores e a atrao de usurios. Isto nos informa, que comparado com outros mercados, projetos com essa finalidade tendem a receber mais visitas, downloads e filiaes. Aproveite essa informao para priorizar a abertura de seus software.', 'Positivo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (17, 'Terminais', 'O tipo de projeto de software livre que voc selecionou  conhecido por afetar a atratividade do projeto negativamente. Isto indica que comparado com outros mercados, projetos de software livre desse tipo tende a ser menos menos procurado por usurios e contribuidores. Utilize essa informao para priorizar a abertura dos seus software, alguns deles tem mais chance de sucesso do que outros.', 'Negativo');

INSERT INTO `FinalidadeProjeto` (`idFinalidadeProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (18, 'Editores de Texto', 'Alguns mercados onde os projetos de software livre atuam, favorecem o recrutamento de contribuidores e a atrao de usurios. Isto nos informa, que comparado com outros mercados, projetos com essa finalidade tendem a receber mais visitas, downloads e filiaes. Aproveite essa informao para priorizar a abertura de seus software.', 'Positivo');

-- PBLICO ALVO DO PROJETO

INSERT INTO `PublicoProjeto` (`idPublicoProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (1, 'Usurios Finais', 'A influncia do pblico-alvo ser usurios finais fica mais clara se voc pensar em oferta e demanda (ou na idia de nicho em marketing).  Usurio-final  um dos maiores grupos em quantidade de pessoas e, portanto, oferece uma maior oferta de mo-de-obra. Alm de que a chance do seu software ser procurado aumenta devido ao tamanho deste grupo. Dessa forma, um software focar em tarefas interessantes para usurios finais  positivo para sua atratividade.', 'Positivo');

INSERT INTO `PublicoProjeto` (`idPublicoProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (2, 'Desenvolvedores', 'A comunidade de desenvolvimento de software livre possui a peculiaridade que a maior parte dos desenvolvedores de software tambm so usurios finais dos programas de computador. Assim, a populao de desenvolvedores, alm de tcnica,  imensa, oferecendo uma enorme oferta de contribuidores e usurios. Dessa forma, esta  uma escolha positiva para a atratividade do projeto.', 'Positivo');

INSERT INTO `PublicoProjeto` (`idPublicoProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (3, 'Administradores de Sistemas', 'O pblico-alvo administradores de sistemas, entre os que um software de computador pode focar, se encontra entre os menores. Dessa forma, deve-se esperar uma procura menor tanto pelo uso do software quanto pelo envolvimento nas atividades de desenvolvimento do projeto.', 'Negativo');

INSERT INTO `PublicoProjeto` (`idPublicoProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (4, 'Outros', 'A escolha pelo pblico-alvo OUTROS deve ser evitada. Possivelmente, OUTROS representa uma entidade que ningum se relaciona ou se sente parte. O impacto de explicitamente divulgar sua audincia como OUTRA afeta negativamente a atratividade do seu projeto. Dessa forma, indicamos que voc busque enquadrar seu projeto em outro pblico-alvo. Lembre que se voc no encontrou na pgina anterior um grupo no qual seu projeto enquadra e foi obrigado a optar por OUTROS, isto pode ser uma limitao das opes que pudemos estudar estatisticamente. Quando for criar seu projeto de fato, busque uma opo que o descreva melhor.', 'Negativo');

INSERT INTO `PublicoProjeto` (`idPublicoProjeto`, `descricao`, `parecerAtratividade`, `impactoAtratividade`) VALUES (5, 'Usurios Finais Avanados', 'Um software que busca usurios finais avanados no possui a vantagem de estar focado em uma das maiores populaes existentes no movimento de software livre. Mas provavelmente, nesta populao se encontram usurios da aplicao com forte inclinao tcnica. Esta caracterstica os d a vantagem de identificar problemas com a aplicao como um usurio final faria, e ainda garante a capacidade deles de reportar com acurcia onde o problema se encontra, facilitando a sua soluo. Ainda,  possvel que os usurios do software resolvam o problema que eles prprios reportaram.', 'Positivo');
